CREATE_MODULE(2)

NAME
create_module - create a loadable module entry

SYNOPSIS
#include <linux/module.h>

caddr_t create_module(const char *name, size_t size);

DESCRIPTION
create_module() attempts to create a loadable module entry and reserve the kernel memory that will be needed to hold the module. This system call requires privilege.

RETURN VALUE
On success, returns the kernel address at which the module will reside. On error -1 is returned and errno is set appropriately.

ERRORS

EEXIST
    A module by that name already exists.

EFAULT
    name is outside the program's accessible address space.

EINVAL
    The requested size is too small even for the module header information.

ENOMEM
    The kernel could not allocate a contiguous block of memory large enough for the module.

EPERM
    The caller was not privileged (did not have the CAP_SYS_MODULE capability).

CONFORMING TO
create_module() is Linux specific.

VERSIONS
This system call is only present on Linux up until kernel 2.4; it was removed in Linux 2.6.

SEE ALSO
init_module(2), delete_module(2), query_module(2)